;;; oni-helm.el --- Extra commands and functions for helm  -*- lexical-binding: t; -*-

;; Copyright (C) 2016  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords:

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

;;; Commentary:

;; Here are some extra commands and functions for helm.

;;; Code:

(require 'helm-lib)

;;;###autoload
(defun oni:stop-truncating-helm-lines ()
  (with-current-buffer helm-buffer
    (setq truncate-lines nil
          truncate-partial-width-windows nil)))

(provide 'oni-helm)
;;; oni-helm.el ends here
